#pragma option -zESCORESFAR
#pragma option -zFFAR_DATA
/*
  Ŀ
 ݳ                                                                         
 ݳ SCORES.EXE                                                              
 ݳ                                                                         
 ݳ HARRIS CORPORATION                                                      
 ݳ                                                                         
 ݳ AUTHOR: Jay Perez                                                       
 ݳ                                                                         
 ݳ LANGUAGE: C++                                                           
 ݳ                                                                         
 ݳ TITLE: LOTUS.H                                                          
 ݳ                                                                         
 ݳ DESCRIPTION: LOTUS.CPP creates a .WK1 spreadsheet (LOTUS 1-2-3 style).  
 ݳ                                                                         
 
 
 */

const char WKS_BOF[]= "\x00\x00\x02\x00\x04\x04";

const char WKS_INTEGER[] = "\x0D\x00\x07\x00\x00";

const char WKS_EOF[]= "\x01\x00\x00\x00";

const char WKS_LABELHDR[]="\x0F\x00";

const char WKS_NUMBERHDR[]= "\x0E\x00\x0D\x00";

const char STANDARD_FORMAT[]= "\xFF";

const char FixedDecOneSigDigit[]= "\x01";

const char FixedDecimalTwoSigDigit[]= "\x02";

const char FixedDecThreeSigDigit[]= "\x03";

const char FixedDecFourSigDigit[]= "\x04";

const char FixedDecFiveSigDigit[]= "\x05";

const char FixedDecSixSigDigit[]= "\x06";

#define LEFT_JUSTIFY     "'"
#define RIGHT_JUSTIFY    "\x22"
#define CENTERED         "^"
#define REPEATING        "\\"
#define PROTECTED        "\x80"

const char OneDecimals   = '\x01';
const char TwoDecimals   = '\x02';
const char ThreeDecimals = '\x03';
const char FourDecimals  = '\x04';
const char FiveDecimals  = '\x05';
const char SixDecimals   = '\x06';

const char FIXED       = '\x00';
const char CURRENCY    = '\x20';
const char PERCENT     = '\x30';
const char COMMA       = '\x40';

const char UNPROTECTED = '\x00';

//

class wk1
{
	 public:

	 wk1(char *fileName);
	 ~wk1(void);
	 void WriteCell( double number, int row, int col, char format = '\x00' );
	 void WriteCell( char *ostr, char just, int row, int col );
	 void WriteCell( int number, int row, int col, char format = '\x00' );
	 void SetColumnWidth( int col, int width );
	 Boolean WorkSheetOK(){ return (wk1WorkSheet!=NULL); };

	 private:
	 void WriteCellCoordinates( int row, int col );
	 void LotusWord(ushort mvalue);
	 ofstream *wk1WorkSheet;
};

char *rtrim(char *string);

//
